### Method

# Fwupd Remote get_filename_source

#### Declaration [src]

    const gchar*
    fwupd_remote_get_filename_source (
      FwupdRemote* self
    )

#### Description [src]

Gets the path and filename of the remote itself, typically a `.conf` file.

Available since: | 0.9.8

#### Return value

Returns: | `const gchar*`
| A string, or `NULL` for unset.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.